export root
export epch
set root = SM-nsyl.100.raw.tan.dt01m2
read SM-nsyl.100.raw.tan.dt2m2.test.in

set currentNet.extension.dt			= 0.01
set currentNet.extension.graceTimePerSlice	= 0.0
set currentNet.extension.minTimePerSlice	= 0.0
set currentNet.extension.maxTimePerSlice	= 10.0
set currentNet.extension.timeAverageInputs 	= 1
set currentNet.extension.initialUnitOutput	= 0.5
set currentNet.extension.nonExtremalTarget	= 0.0
set currentNet.extension.zeroErrorRadius 	= 0.0

set currentNet.extension.correctTolerance	= 0.0	# diff from 0.5

set currentNet.extension.outputChangeTolerance	= 0.00005
set currentNet.extension.useAveOutputChange	= 1

set currentNet.extension.respProbCrit	 	= 0.0
set currentNet.extension.respProbNoise	 	= 0.0

set epch = 1900
echo loadPDPweights ../pdpwts/$root.$epch.pdpwts
     loadPDPweights ../pdpwts/$root.$epch.pdpwts

echo "TRAINING set is Surface list."
seed 234908
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.2 -pre Graphemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.4 -pre Graphemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.6 -pre Graphemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.8 -pre Graphemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 1.0 -pre Graphemes -post Hidden -reps 50
seed 234908
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.05 -pre Hidden -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.10 -pre Hidden -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.15 -pre Hidden -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.20 -pre Hidden -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.25 -pre Hidden -post Phonemes -reps 50
seed 234908
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.2 -pre Phonemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.4 -pre Phonemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.6 -pre Phonemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.8 -pre Phonemes -post Hidden -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 1.0 -pre Phonemes -post Hidden -reps 50
seed 234908
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.2 -pre Phonemes -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.4 -pre Phonemes -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.6 -pre Phonemes -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 0.8 -pre Phonemes -post Phonemes -reps 50
pronounce -nopr -err -orth nsyl -phon nsyl -type TRAINING -sd 1.0 -pre Phonemes -post Phonemes -reps 50

quit
