export root
export epch
set root = SM-nsyl.100.raw.tan.dt01m2
read SM-nsyl.100.raw.tan.dt2m2.TM.in

set currentNet.extension.dt			= 0.01
set currentNet.extension.graceTimePerSlice	= 0.0
set currentNet.extension.minTimePerSlice	= 0.0
set currentNet.extension.maxTimePerSlice	= 10.0
set currentNet.extension.timeAverageInputs 	= 1
set currentNet.extension.initialUnitOutput	= 0.5
set currentNet.extension.nonExtremalTarget	= 0.0
set currentNet.extension.zeroErrorRadius 	= 0.0

set currentNet.extension.correctTolerance	= 0.0	# diff from 0.5

set currentNet.extension.outputChangeTolerance	= 0.00005
set currentNet.extension.useAveOutputChange	= 1

set currentNet.extension.respProbCrit	 	= 0.0
set currentNet.extension.respProbNoise	 	= 0.0

set epch = 1900
echo loadPDPweights ../pdpwts/$root.$epch.pdpwts
     loadPDPweights ../pdpwts/$root.$epch.pdpwts

#############################################################################
# for states
#############################################################################

#echo "TESTING set is Taraban & McClelland exception/regular/nonwords."
#states -orth nsyl -phon nsyl -type TESTING

#############################################################################
# for differences of states
#############################################################################

echo "TESTING set is Taraban & McClelland exception/regular/nonwords."
#echo "ONSET"
#states -orth nsyl -phon nsyl -type TESTING -diff ONSET
#echo "VOWEL"
#states -orth nsyl -phon nsyl -type TESTING -diff VOWEL
#echo "CODA"
#states -orth nsyl -phon nsyl -type TESTING -diff CODA
#echo "BODY"
#states -orth nsyl -phon nsyl -type TESTING -diff BODY

#############################################################################
# for intercorrelations
#############################################################################

# HIDDEN
#states -orth nsyl -phon nsyl -type TESTING -corr

# GRAPHEMES
#set currentNet.extension.maxTimePerSlice	= 0.0
#states -orth nsyl -phon nsyl -type TESTING -corr -hiddenGroup Graphemes

# PHONEMES
set currentNet.extension.maxTimePerSlice	= 0.0
states -orth nsyl -phon nsyl -type TESTING -corr -hiddenGroup Phonemes -targets

quit
